TDEDEBUGDIALOG(1)

NAME
tdedebugdialog - A dialog box for setting preferences for debug output

SYNOPSIS
tdedebugdialog [Qt-options] [TDE-options] [options]

DESCRIPTION
TDEDebugDialog shows a dialog box for managing diagnostic messages at runtime.

If you simply start tdedebugdialog, you will see a list of areas, that can be disabled or enabled.

If you start tdedebugdialog --fullmode, then for every severity level you can define separately what should be done with the diagnostic messages of that level, and the same for each debug area.

In full mode, first you should select the debug area you are interested in from the drop down list at the top.

You may independently set the output for various types of messages:

    - Information
    - Warning
    - Error
    - Fatal Error

For each of these types, you can set the following:

Output to:
In this Combobox, you can choose where the messages should be output. The choices are: File?, Message Box, Shell (meaning stderr), Syslog an None. Please do not direct fatal messages to syslog unless you are the system administrator yourself. The default is ?Message Box?.

Filename:
This is only enabled when you have chosen File as the output and provides the name of that file (which is interpreted as relative to the current folder). The default is kdebug.dbg. Apart from this, you can also tick the checkbox Abort on fatal errors. In this case, if a diagnostic message with the severity level TDEBUG_FATAL is output, the application aborts with a SIGABRT after outputting the message.

When you close the dialog by pressing OK, your entries apply immediately and are saved in kdebugrc. When you press Cancel, your entries are discarded and the old ones are restored.

OPTIONS

  Options:

--fullmode
    Show the fully-fledged dialog instead of the default list dialog

--on <area>
    Turn area on

--off <area>
    Turn area off

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  TDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

--nofork
    Don't run in the background.

FILES

  ~/.trinity/share/config/kdebugrc
tdedebugdialog configuration file

SEE ALSO
Full user documentation is available through the TDE Help Center. You can also enter the URL help:/tdedebugdialog/ directly into konqueror or you can run khelpcenter help:/tdedebugdialog/ from the command-line.

AUTHORS
David Faure <faure@kde.org>
Please use http://bugs.trinitydesktop.org to report bugs; do not mail the author directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.